Subject: Re: [PATCH v2 03/17] object-store: rename files to "odb.{c,h}"

From: Junio C Hamano <[email-masked]>
Date: Wed, 14 May 2025 05:58:59 -0700

Toon Claes <[email-masked]> writes:

> Do we have plans to extract the object database subsystem into a
> subdirectory? With us adding multiple backends in the future, I can
> image us having a dozen files at some point. So since we're renaming,
> shall we prepare for that at once? Or will `odb.h` always be the root-level
> entry point for the object database, and only live backends live in
> `odb/` for example?

Just like refs.h and refs/ directory holding code to support files
and reftable backends?  I think that is what I've been assuming.